/* config_num() and config_str() codes */
#define CFG_FRAME			 0
#define CFG_GROUP_FILES		 1
#define CFG_SHOW_HIDDEN		 2
#define CFG_WARN_CD			 3
#define CFG_WARN_RM			 4
#define CFG_WARN_LONG		 5
#define CFG_WARN_SELECT		 6
#define CFG_XTERM_TITLE		 7
#define CFG_CMD_LINES		 8
#define CFG_CMD_F3			 9
#define CFG_CMD_F4			10
#define CFG_CMD_F5			11
#define CFG_CMD_F6			12
#define CFG_CMD_F7			13
#define CFG_CMD_F8			14
#define CFG_CMD_F9			15
#define CFG_CMD_F10			16
#define CFG_CMD_F11			17
#define CFG_CMD_F12			18
#define CFG_DIR2			19
#define CFG_LOCALE			20
#define CFG_HELPFILE		21
#define CFG_QUOTE			22
#define CFG_LAYOUT			23
#define CFG_PROMPT			24
#define CFG_SHELLPROG		25
#define CFG_HISTORY			26
#define CFG_DIRECTORIES		27
#define CFG_COMPLETIONS		28

extern void config_initialize(void);
extern void config_prepare(void);
extern void config_edit_num_prepare(void);
extern void config_edit_str_prepare(void);
extern void config_confirm_prepare(void);
extern int  config_num(int);
extern const char *config_str(int);
extern const char *config_print_value(int);
extern void cx_config_edit(void);
extern void cx_config_num_enter(void);
extern void cx_config_str_enter(void);
extern void cx_config_default(void);
extern void cx_config_original(void);
extern void cx_config_confirm(void);
